Subject: Re: dev_set_name (Was: linux-next: rr/driver-core merge conflicts)

From: Greg KH <[email-masked]>
Date: Thu, 29 May 2008 19:37:50 -0700

On Fri, May 30, 2008 at 10:21:54AM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Thu, 29 May 2008 09:09:44 -0700 Greg KH <[email-masked]> wrote:
> >
> > On Thu, May 29, 2008 at 03:58:18PM +1000, Stephen Rothwell wrote:
> > 
> > > Greg, is there some way we could add a version of dev_set_name() to
> > > current mainline now so that the conversions can be farmed out (or at
> > > least be done in other trees destined for linux-next)?
> > 
> > Yes, I'll do that today, thanks for the idea.
> 
> I was hoping for something really simple that even Linus would take -
> like below (compile tested only).

Yes, I was trying to be "fancy" and actually make it work :)

I'll go merge your sane version in and send it to Linus, should help out
a lot.

thanks,

greg k-h